
# NOTE: build against: rhevm-*-docs-candidate

%global manualdir %{_docdir}/%{name}/manual
%global locale en-US
%global beta 0
%global product_line 3.3
%if 0%{?beta}
%define depsuffix -Beta
%endif

Name:		rhevm-doc
Version:	%{product_line}.0
Release:	4%{?dist}

Summary:	Red Hat Enterprise Virtualization documentation
Group:		Documentation
License:	CC-BY-SA
URL:		http://docs.redhat.com
Source:		%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	publican-common-web
BuildRequires:	Red_Hat_Enterprise_Virtualization-Administration_Guide-%{product_line}%{?depsuffix}-web-%{locale}
BuildRequires:	Red_Hat_Enterprise_Virtualization-Installation_Guide-%{product_line}%{?depsuffix}-web-%{locale}
BuildRequires:	Red_Hat_Enterprise_Virtualization-Developer_Guide-%{product_line}%{?depsuffix}-web-%{locale}
BuildRequires:	Red_Hat_Enterprise_Virtualization-Evaluation_Guide-%{product_line}%{?depsuffix}-web-%{locale}
BuildRequires:	Red_Hat_Enterprise_Virtualization-Power_User_Portal_Guide-%{product_line}%{?depsuffix}-web-%{locale}
BuildRequires:	Red_Hat_Enterprise_Virtualization-Quick_Start_Guide-%{product_line}%{?depsuffix}-web-%{locale}
BuildRequires:	Red_Hat_Enterprise_Virtualization-Technical_Reference_Guide-%{product_line}%{?depsuffix}-web-%{locale}
BuildRequires:	Red_Hat_Enterprise_Virtualization-User_Portal_Guide-%{product_line}%{?depsuffix}-web-%{locale}
BuildRequires:	Red_Hat_Enterprise_Virtualization-Command_Line_Shell_Guide-%{product_line}%{?depsuffix}-web-%{locale}

%description

This package contains the Red Hat Enterprise Virtualization 
documentation in html and pdf format.

%prep
%setup -q -c .

%build

%install
rm -rf "%{buildroot}"

mkdir -p "%{buildroot}%{manualdir}/%{locale}"
cp -r DocumentationPath.csv UserPortalDocumentationPath.csv RedHat common "%{buildroot}%{manualdir}"
cp -r /var/www/html/site/documentation/%{locale}/Red_Hat_Enterprise_{Virtualization,Linux}/*/html "%{buildroot}%{manualdir}/%{locale}" || /bin/true
cp -r /var/www/html/site/documentation/%{locale}/Red_Hat_Enterprise_{Virtualization,Linux}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || /bin/true

# PDF files contain the version in their filename. We don't want to include the
# -Beta, because that will break the splash page.
%if 0%{?beta}
find "%{buildroot}%{manualdir}/%{locale}/pdf" -name '*.pdf' | while read f; do
    if echo "${f}" | grep -q Beta; then
        mv "${f}" "$(echo "${f}" | sed 's/%{depsuffix}//')"
    fi
done
%endif

find "%{buildroot}%{manualdir}" -name '*.html' | while read f; do
    sed -i -e :a -e 's#<script type="text/javascript".*</script>##g;/</N;//ba;' "${f}"
    sed -i -e :a -e 's#<div id="tocdiv" class="toc"><iframe.*</iframe></div>##g;/</N;//ba;' "${f}"
    sed -i -e 's#\.\./\.\./\(\.\./\.\./\.\./\)#\1#g' "${f}"
done

install -m 0755 -d "%{buildroot}%{_sysconfdir}/ovirt-engine/engine.conf.d"
cat > "%{buildroot}%{_sysconfdir}/ovirt-engine/engine.conf.d/10-rhevm-doc.conf" << __EOF__
ENGINE_MANUAL="%{manualdir}"
__EOF__

%files 
%dir %{_docdir}/%{name}
%config %{_sysconfdir}/ovirt-engine/engine.conf.d/10-rhevm-doc.conf
%{manualdir}/

%changelog
* Tue Apr 29 2014 Greg Sheremeta <gshereme@redhat.com> - 3.3.0-4
- 3.3.0-4

* Wed Jan 15 2014 Kiril Nesenko <knesenko@redhat.com> - 3.3.0-3
- 3.3.0-3

* Mon Dec 02 2013 Kiril Nesenko <knesenko@redhat.com> - 3.3.0-2
- Resolves: BZ#1011653

* Tue Sep 24 2013 Alon Bar-Lev <alonbl@redhat.com> - 3.3.0-1
- Resolves: BZ#1011653
- Consistent indent using tabs.
- Move docs from /usr/share/doc/ovirt-engine/manual to /usr/share/doc/rhevm-doc/manual.
- remove unneeded defattr statement.

* Wed Sep 04 2013 Kiril Nesenko <knesenko@redhat.com> - 3.3.0-0.1.master
- Resolves: BZ#985197
